#version 330 core
in vec3 f_texCoords;

layout (location = 0) out vec4 outColor;

uniform samplerCube cubeMapTex;

void main()
{
	vec3 normalized = normalize(f_texCoords);
    outColor = abs(texture(cubeMapTex, f_texCoords) * normalized.y * 0.46 + texture(cubeMapTex, f_texCoords) * 0.04);
}