#version 330 core
in vec3 v_position;

uniform mat4 viewProj;
uniform vec3 camPos;

out vec3 f_texCoords;

void main()
{
    vec4 position = viewProj * vec4(v_position * 20, 1.0f);// + vec4(camPos, 1.0f);
	gl_Position = position.xyww;
	
    f_texCoords = v_position;
}  