#version 330 core
in vec2 f_texCoords;

layout (location = 0) out vec4 fragColor;
layout (location = 1) out vec4 brightColor;

uniform sampler2D image;

void main()
{ 
	vec3 imageSample = texture(image, f_texCoords).rgb;
	
	float brightness = dot(imageSample, vec3(0.2126, 0.7152, 0.0722));
	
    fragColor = vec4(imageSample, 1.0f);
	brightColor = vec4(0.0f);
	if(brightness > 1.0f) {
		brightColor = vec4(imageSample, 1.0f);
	}
}