#version 330 core

in vec3 v_position;
in vec3 v_normal;
in vec2 v_texCoord;

// actually just the model matrix
in mat4 v_modelView;
in mat3 v_modelViewInvTrans;

void main()
{
	vec4 mvPosition = v_modelView * vec4(v_position, 1.0);
	gl_Position = mvPosition;
}