#version 330 core
in vec2 f_texCoords;
out vec4 outColor;

uniform sampler2D gAlbedo;
uniform sampler2D gPosition;
uniform sampler2D gNormals;

//uniform mat3 mvInvTrans;

void main()
{ 

	vec4 diffSample = texture(gAlbedo, f_texCoords);
	vec3 normalSample = vec3(texture(gNormals, f_texCoords));
	vec3 positionSample = vec3(texture(gPosition, f_texCoords));
	vec3 normalVec = normalize(vec3(1.0, 1.0, 0.0));
    outColor = vec4(vec3(diffSample) * max(0.0, dot(normalSample, normalVec)) * 0.02, 1.0f);// + vec4(diffSample) * vec4(0.03, 0.01, 0.01, 1.0);
}