#version 330 core

in vec3 v_position;

uniform vec3 worldPosition;
uniform mat4 projection;
uniform mat4 view;

void main()
{
	vec3 worldVertPos = v_position + worldPosition;
	
	gl_Position = projection * view * vec4(worldVertPos, 1.0f);
}